<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" 
      xmlns:h="http://java.sun.com/jsf/html" 
      xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets" 
        xmlns:a4j="http://richfaces.org/a4j" 
        xmlns:rich="http://richfaces.org/rich"
        xmlns:c="http://java.sun.com/jsp/jstl/core"
         xmlns:p="http://primefaces.org/ui">
	
    <h:outputStylesheet library="css/extraction" name="#{css}" />

     <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.jsf.panels.variablesChoiceStep" var="variableBundle"/>
   <a4j:jsFunction name="deSelectVariable" execute="@this,parametersRequest" action="#{uiBean.deSelectVariable()}"
	render="listVariables,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2" limitRender="true">
	<a4j:param name="param1" assignTo="#{uiBean.idVariableSelected}" />
   </a4j:jsFunction>
   
    <h:panelGroup id="messageWarningStep2">
        <h:outputText value="#{variableBundle.PARAM_MSG_WARNING}" rendered="#{not uiBean.parametersRequest.variableStepIsValid}"
                      styleClass="selectionEmpty" />
    </h:panelGroup>

    <h:panelGroup styleClass="panelControlsWrapper" layout="block">
        <h:panelGroup styleClass="panelControls">
            <h:panelGroup styleClass="control">
                <a4j:commandLink execute="@this,parametersRequest,tree" styleClass="buttonStepNext" limitRender="true" action="#{uiBean.addAllVariables()}"
                                 render="listVariables,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2,tree">
                    <h:graphicImage value="#{resource['images:add.png']}" />
                    <h:outputText value="#{variableBundle.PARAM_MSG_ADD_ALL}" />
                </a4j:commandLink>
            </h:panelGroup>
            <h:panelGroup styleClass="control">
                <a4j:commandLink execute="@this,parametersRequest,tree" styleClass="buttonStepNext" limitRender="true"
                                 action="#{uiBean.removeAllVariables()}"
                                 render="listVariables,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2,tree">
                    <h:graphicImage value="#{resource['images:remove_selection.png']}" />
                    <h:outputText value="#{variableBundle.PARAM_MSG_DELETE_ALL}" />
                </a4j:commandLink>
            </h:panelGroup>
        </h:panelGroup>
    </h:panelGroup>

    <p class="intro">#{variableBundle.PARAM_MSG_INTRO}</p>
    
    <h:panelGroup id="listVariables" styleClass="listVariables">
        <h3>#{variableBundle.PARAM_MSG_SOL_BRUT}</h3>
        <rich:tree id="tree" var="node" toggleType="client" binding="#{uiBean.treeListVariables}" selectionType="ajax">
		<rich:treeModelRecursiveAdaptor roots="#{uiBean.rootNodes}" nodes="#{node.groupesVariables}">
			<rich:treeNode binding="#{uiBean.treeNodeGroupeVariable}" expanded="#{node.expanded}">
				<a4j:commandLink action="#{uiBean.deployNodeGroupeVariable}" execute="@this,parametersRequest" limitRender="true"
					render="tree,parametersRequest,nextStepButton">
					<f:setPropertyActionListener target="#{uiBean.treeNodeGroupeVariableSelected}" value="#{node}" />
				#{node.localizedGroupeName}				
				</a4j:commandLink>
			</rich:treeNode>

			<rich:treeModelAdaptor nodes="#{node.variables}">
				<rich:treeNode>
					<a4j:commandLink styleClass="leaf" action="#{uiBean.selectVariable}" execute="@this,parametersRequest"
						limitRender="true" render="tree,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2">
						<f:setPropertyActionListener value="#{node}" target="#{uiBean.variableSelected}" />
						<h:outputText escape="false" value="#{node.localizedVariableName}" />
					</a4j:commandLink>
					<h:graphicImage name="check.png" library="images" rendered="#{node.selected}" />
				</rich:treeNode>
			</rich:treeModelAdaptor>
		</rich:treeModelRecursiveAdaptor>
	</rich:tree>
    </h:panelGroup>
</html>
